Omniplex Docs

List

These API endpoints are core endpoints of our list.

Get RSS Feed

GET
/list/rss.xml

Gets the RSS feed for the site, in XML format

Response Body

Success

response?seo.RssFeedapplication/json
Example Request
curl -X GET 'https://spider.omniplex.gg/list/rss.xml'
Example Response
null

Get Sitemap

GET
/list/sitemap.xml

Gets the sitemap for the site, in XML format

Response Body

Success

response?seo.Sitemapapplication/json
Example Request
curl -X GET 'https://spider.omniplex.gg/list/sitemap.xml'
Example Response
null

Search List

POST
/list/search

Searches the list returning a list of bots/servers/teams/packs that match the query

Request Body

application/json
  1. body
page?integer

The page of results to return for every target type, starting at 1

query?string
servers?
shards?
tags?
target_types?array<string>
total_members?
votes?

Response Body

Success

application/json
  1. response
bots?array<>
counts?

The total number of matches for each searched target type, across all pages

packs?array<>
per_page?integer

How many results of each target type a page holds

servers?array<>
target_types?array<string>
teams?array<>
Example Request
curl -X POST 'https://spider.omniplex.gg/list/search' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "bots": [    {      "approximate_votes": 0,      "asset_versions": {        "property1": "string",        "property2": "string"      },      "boosted_until": "2019-08-24T14:15:22Z",      "bot_id": "string",      "card_color": "string",      "clicks": 0,      "created_at": "2019-08-24T14:15:22Z",      "featured_until": "2019-08-24T14:15:22Z",      "hidden_stats": [        "string"      ],      "highlighted": true,      "invite_clicks": 0,      "library": "string",      "nsfw": true,      "premium": true,      "servers": 0,      "shards": 0,      "short": "string",      "spotlighted_until": "2019-08-24T14:15:22Z",      "supporter_badge": true,      "tags": [        "string"      ],      "type": "string",      "user": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "vanity": "string",      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",      "views_30d": 0,      "vote_blitz_until": "2019-08-24T14:15:22Z",      "votes": 0    }  ],  "counts": {    "property1": 0,    "property2": 0  },  "packs": [    {      "bot_ids": [        "string"      ],      "bots": [        {          "approximate_votes": 0,          "asset_versions": {            "property1": "string",            "property2": "string"          },          "boosted_until": "2019-08-24T14:15:22Z",          "bot_id": "string",          "card_color": "string",          "clicks": 0,          "created_at": "2019-08-24T14:15:22Z",          "featured_until": "2019-08-24T14:15:22Z",          "hidden_stats": [            "string"          ],          "highlighted": true,          "invite_clicks": 0,          "library": "string",          "nsfw": true,          "premium": true,          "servers": 0,          "shards": 0,          "short": "string",          "spotlighted_until": "2019-08-24T14:15:22Z",          "supporter_badge": true,          "tags": [            "string"          ],          "type": "string",          "user": {            "avatar": "string",            "bot": true,            "display_name": "string",            "extra_data": {              "property1": null,              "property2": null            },            "flags": [              "string"            ],            "id": "string",            "status": "string",            "username": "string"          },          "vanity": "string",          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",          "views_30d": 0,          "vote_blitz_until": "2019-08-24T14:15:22Z",          "votes": 0        }      ],      "created_at": "2019-08-24T14:15:22Z",      "emojis": [        {          "animated": true,          "downloads": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "name": "string",      "owner": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "pack_type": "string",      "server_ids": [        "string"      ],      "servers": [        {          "approximate_votes": 0,          "asset_versions": {            "property1": "string",            "property2": "string"          },          "avatar": "string",          "boosted_until": "2019-08-24T14:15:22Z",          "card_color": "string",          "clicks": 0,          "featured_until": "2019-08-24T14:15:22Z",          "hidden_stats": [            "string"          ],          "highlighted": true,          "invite_clicks": 0,          "name": "string",          "nsfw": true,          "online_members": 0,          "premium": true,          "server_id": "string",          "short": "string",          "spotlighted_until": "2019-08-24T14:15:22Z",          "state": "string",          "supporter_badge": true,          "tags": [            "string"          ],          "total_members": 0,          "type": "string",          "vanity": "string",          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",          "views_30d": 0,          "votes": 0        }      ],      "short": "string",      "sounds": [        {          "downloads": 0,          "duration_ms": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "stickers": [        {          "animated": true,          "downloads": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "tags": [        "string"      ],      "url": "string",      "vote_banned": true,      "votes": 0    }  ],  "per_page": 0,  "servers": [    {      "approximate_votes": 0,      "asset_versions": {        "property1": "string",        "property2": "string"      },      "avatar": "string",      "boosted_until": "2019-08-24T14:15:22Z",      "card_color": "string",      "clicks": 0,      "featured_until": "2019-08-24T14:15:22Z",      "hidden_stats": [        "string"      ],      "highlighted": true,      "invite_clicks": 0,      "name": "string",      "nsfw": true,      "online_members": 0,      "premium": true,      "server_id": "string",      "short": "string",      "spotlighted_until": "2019-08-24T14:15:22Z",      "state": "string",      "supporter_badge": true,      "tags": [        "string"      ],      "total_members": 0,      "type": "string",      "vanity": "string",      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",      "views_30d": 0,      "votes": 0    }  ],  "target_types": [    "string"  ],  "teams": [    {      "approximate_votes": 0,      "asset_versions": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "entities": {        "bots": [          {            "approximate_votes": 0,            "asset_versions": {              "property1": "string",              "property2": "string"            },            "boosted_until": "2019-08-24T14:15:22Z",            "bot_id": "string",            "card_color": "string",            "clicks": 0,            "created_at": "2019-08-24T14:15:22Z",            "featured_until": "2019-08-24T14:15:22Z",            "hidden_stats": [              "string"            ],            "highlighted": true,            "invite_clicks": 0,            "library": "string",            "nsfw": true,            "premium": true,            "servers": 0,            "shards": 0,            "short": "string",            "spotlighted_until": "2019-08-24T14:15:22Z",            "supporter_badge": true,            "tags": [              "string"            ],            "type": "string",            "user": {              "avatar": "string",              "bot": true,              "display_name": "string",              "extra_data": {                "property1": null,                "property2": null              },              "flags": [                "string"              ],              "id": "string",              "status": "string",              "username": "string"            },            "vanity": "string",            "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",            "views_30d": 0,            "vote_blitz_until": "2019-08-24T14:15:22Z",            "votes": 0          }        ],        "members": [          {            "created_at": "2019-08-24T14:15:22Z",            "data_holder": true,            "flags": [              "string"            ],            "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",            "mentionable": true,            "service": "string",            "team_id": "string",            "user": {              "avatar": "string",              "bot": true,              "display_name": "string",              "extra_data": {                "property1": null,                "property2": null              },              "flags": [                "string"              ],              "id": "string",              "status": "string",              "username": "string"            }          }        ],        "servers": [          {            "approximate_votes": 0,            "asset_versions": {              "property1": "string",              "property2": "string"            },            "avatar": "string",            "boosted_until": "2019-08-24T14:15:22Z",            "card_color": "string",            "clicks": 0,            "featured_until": "2019-08-24T14:15:22Z",            "hidden_stats": [              "string"            ],            "highlighted": true,            "invite_clicks": 0,            "name": "string",            "nsfw": true,            "online_members": 0,            "premium": true,            "server_id": "string",            "short": "string",            "spotlighted_until": "2019-08-24T14:15:22Z",            "state": "string",            "supporter_badge": true,            "tags": [              "string"            ],            "total_members": 0,            "type": "string",            "vanity": "string",            "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",            "views_30d": 0,            "votes": 0          }        ],        "targets": [          "string"        ]      },      "extra_links": [        {          "name": "string",          "value": "string"        }      ],      "id": "string",      "name": "string",      "nsfw": true,      "service": "string",      "short": "string",      "tags": [        "string"      ],      "updated_at": "2019-08-24T14:15:22Z",      "vanity": "string",      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",      "vote_banned": true,      "votes": 0    }  ]}

Get List Tags

GET
/list/tags

Returns every tag used by an approved or certified bot or a public, approved or certified server, matched case-insensitively, with how many bots and servers use it. Most used first. Cached for 30 minutes.

Response Body

Success

application/json
  1. response
tags?array<>

Every tag in use, most used first

Example Request
curl -X GET 'https://spider.omniplex.gg/list/tags'
Example Response
{  "tags": [    {      "bots": 0,      "servers": 0,      "tag": "string"    }  ]}

Get Stats History

GET
/list/stats/history

All-time platform numbers and a month-by-month history of votes, reviews, new listings and sign-ups. Cached for 10 minutes.

Response Body

Success

application/json
  1. response
approvals?integer

Listings approved since review history starts

Formatint64
denials?integer

Listings denied since review history starts

Formatint64
generated_at?string

When these numbers were worked out. They're cached for a few minutes

Formatdate-time
months?array<>

One entry per month, oldest first

reviews_since?string

When review history starts

Formatdate-time
voters_all_time?integer

Different people who have ever voted

Formatint64
votes_all_time?integer

Every vote cast since vote history starts, including ones cleared by monthly resets

Formatint64
votes_since?string

When vote history starts

Formatdate-time
votes_this_month?integer

Votes cast since the last monthly reset

Formatint64
Example Request
curl -X GET 'https://spider.omniplex.gg/list/stats/history'
Example Response
{  "approvals": 0,  "denials": 0,  "generated_at": "2019-08-24T14:15:22Z",  "months": [    {      "approved": 0,      "denied": 0,      "month": "string",      "new_bots": 0,      "new_servers": 0,      "new_users": 0,      "voters": 0,      "votes": 0    }  ],  "reviews_since": "2019-08-24T14:15:22Z",  "voters_all_time": 0,  "votes_all_time": 0,  "votes_since": "2019-08-24T14:15:22Z",  "votes_this_month": 0}

Get List Statistics

GET
/list/stats

Gets basic statistics of the list

Response Body

Success

application/json
  1. response
total_approved_bots?integer

The total number of approved bots on the list

Formatint64
total_approved_servers?integer

The total number of approved servers on the list

Formatint64
total_banned_users?integer

The total number of users banned from the list

Formatint64
total_bots?integer

The list of all bots on the list as ListStatsBot objects (partial bot objects)

Formatint64
total_certified_bots?integer

The total number of certified bots on the list

Formatint64
total_certified_servers?integer

The total number of certified servers on the list

Formatint64
total_denied_bots?integer

The total number of bots denied on review

Formatint64
total_denied_servers?integer

The total number of servers denied on review

Formatint64
total_packs?integer

The total number of packs on the list

Formatint64
total_pending_bots?integer

The total number of bots awaiting review

Formatint64
total_pending_servers?integer

The total number of servers awaiting review

Formatint64
total_servers?integer

The total number of servers on the list

Formatint64
total_staff?integer

The total number of staff members on the list

Formatint64
total_tickets?integer

The total number of tickets created on the list

Formatint64
total_users?integer

The total number of users on the list

Formatint64
total_vote_banned_bots?integer

The total number of bots banned from voting

Formatint64
total_vote_banned_servers?integer

The total number of servers banned from voting

Formatint64
total_votes?integer

The total number of votes on the list

Formatint64
Example Request
curl -X GET 'https://spider.omniplex.gg/list/stats'
Example Response
{  "total_approved_bots": 0,  "total_approved_servers": 0,  "total_banned_users": 0,  "total_bots": 0,  "total_certified_bots": 0,  "total_certified_servers": 0,  "total_denied_bots": 0,  "total_denied_servers": 0,  "total_packs": 0,  "total_pending_bots": 0,  "total_pending_servers": 0,  "total_servers": 0,  "total_staff": 0,  "total_tickets": 0,  "total_users": 0,  "total_vote_banned_bots": 0,  "total_vote_banned_servers": 0,  "total_votes": 0}

Get List Partners

GET
/list/partners

Gets the official partners of the list

Response Body

Success

application/json
  1. response
partner_types?array<>
partners?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/list/partners'
Example Response
{  "partner_types": [    {      "created_at": "2019-08-24T14:15:22Z",      "icon": "string",      "id": "string",      "name": "string",      "short": "string"    }  ],  "partners": [    {      "bot": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "bot_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "links": [        {          "name": "string",          "value": "string"        }      ],      "name": "string",      "short": "string",      "type": "string",      "user": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      }    }  ]}

Get Staff Templates

GET
/list/staff-templates

Returns all of the staff templates used for reviewing bots and servers. Filter to one entity type with ?entity_type=bot or ?entity_type=server; omit it to get both.

Query Parameters

entity_type?string

Filter templates to just "bot" or "server". Omit for both.

Response Body

Success

application/json
  1. response
template_types?array<>
templates?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/list/staff-templates'
Example Response
{  "template_types": [    {      "icon": "string",      "id": "string",      "name": "string",      "short": "string"    }  ],  "templates": [    {      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "emoji": "string",      "entity_type": "string",      "id": "string",      "name": "string",      "tags": [        "string"      ],      "type": "string"    }  ]}